[arch-commits] Commit in c-ares/trunk (ChangeLog PKGBUILD)

Giovanni Scafora giovanni at archlinux.org
Sun Dec 20 21:24:54 EST 2009


    Date: Sunday, December 20, 2009 @ 21:24:53
  Author: giovanni
Revision: 61643

upgpkg: c-ares 1.7.0-2
    upstream release

Modified:
  c-ares/trunk/PKGBUILD
Deleted:
  c-ares/trunk/ChangeLog

-----------+
 ChangeLog |   11 -----------
 PKGBUILD  |   17 +++++++++--------
 2 files changed, 9 insertions(+), 19 deletions(-)

Deleted: ChangeLog
===================================================================
--- ChangeLog	2009-12-21 00:42:32 UTC (rev 61642)
+++ ChangeLog	2009-12-21 02:24:53 UTC (rev 61643)
@@ -1,11 +0,0 @@
-2008-12-26  Alexander Fehr  <pizzapunk gmail com>
-
-  * c-ares-1.6.0-1:
-  New upstream release.
-  New maintainer.
-  Changed url.
-  Changed download location.
-  Removed sha1sums.
-  Built shared libraries.
-  Updated license file.
-  Added ChangeLog.

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-12-21 00:42:32 UTC (rev 61642)
+++ PKGBUILD	2009-12-21 02:24:53 UTC (rev 61643)
@@ -4,24 +4,25 @@
 
 pkgname=c-ares
 pkgver=1.7.0
-pkgrel=1
+pkgrel=2
 pkgdesc="C library that performs DNS requests and name resolves asynchronously"
 arch=('i686' 'x86_64')
 url="http://c-ares.haxx.se/"
-license=('MIT')
+license=('custom')
 depends=('glibc')
 options=('!libtool')
-source=(http://c-ares.haxx.se/$pkgname-$pkgver.tar.gz
-        'LICENSE')
+source=(http://c-ares.haxx.se/${pkgname}-${pkgver}.tar.gz
+        LICENSE)
 md5sums=('15ab7852306b554b0b1145f41005a3bb'
          'c69f2042941b708ce3e7121424d0b7e6')
 
 build() {
-  cd "$srcdir/$pkgname-$pkgver"
+  cd "${srcdir}/${pkgname}-${pkgver}"
 
-  ./configure --prefix=/usr --enable-shared || return 1
+  ./configure --prefix=/usr \
+              --enable-shared || return 1
   make || return 1
-  make DESTDIR="$pkgdir" install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
 
-  install -D -m644 "$srcdir/LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE" || return 1
+  install -D -m644 "${srcdir}/LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE" || return 1
 }



More information about the arch-commits mailing list